<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<!-- Required meta tags -->
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>LIST WEBINAR</title>


<!-- Bootstrap CSS -->

<head>
  <link rel="stylesheet" th:href="@{/css/sidebar.css}">
  <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
  <link rel="stylesheet" th:href="@{/assets/css/detail-request-penyelenggara.css}">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
  <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">



</head>
<body>

<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
  <div class="text">Request Event Organizers Details</div>
  <br>
  <br>

  <div class="card-table  stretch-card shadow-lg ">
    <!--    <a class="back-button" th:href="@{/admin/dashboard/list-request-penyelenggara}"><i class="fa fa-arrow-left"></i></a>-->
    <main>
      <div style="padding-left: 52px; padding-right: 20px" class="row overflow-auto ">
        <div class="card-body main col-sm-6 ">
          <ul>
            <span class="detail-title font-weight-bold ">Email</span>
            <p class="detail" th:text="${request.email}"> user@gmail.com </p>
            <span class="detail-title font-weight-bold">Nama </span>
            <p class="detail" th:text="${request.nama}"> Penyelenggara </p>
            <span class="detail-title font-weight-bold">Organisasi</span>
            <p class="detail" th:text="${request.organisasi}"> FK UI </p>
            <span class="detail-title font-weight-bold">Nomor Telefon</span>
            <p class="detail" th:text="${request.nomorTelefon}"> - </p>
          </ul>
        </div>
        <div class="card-body main col-lg-20" >
          <ul>
            <span class="detail-title font-weight-bold">Username</span>
            <p class="detail" th:text="${request.nama}"> - </p>
            <span class="detail-title font-weight-bold">Pekerjaan</span>
            <p class="detail" th:text="${request.pekerjaan}"> - </p>
            <span class="detail-title font-weight-bold">Kuota Pembuatan Seminar</span>
            <p class="detail" th:text="${request.user == null}?'-' : ${request.user.kuotaPembuatan}"> - </p>
            <span class="detail-title font-weight-bold">Status</span>
            <p class="detail" th:text="${request.status}"> Waiting For Confirmation </p>
          </ul>
        </div>
      </div>
      <div class="button-wrapper-section" th:if="${request.status == 'Waiting for Confirmation'}">
        <div class="button-action">
          <div class="create-button">
            <a class="button-primary mx-auto" th:href="@{/admin/dashboard/list-request-penyelenggara/detail/} + ${request.requestId} + @{/buat-akun}">Buat Akun</a>
          </div>
          <form th:action="@{/admin/dashboard/list-request-penyelenggara/detail/} + ${request.requestId}" method="POST">
            <div class="reject-button">
              <button class="button-primary mx-auto d-block" type="submit">Reject Account</button>
            </div>
          </form>
        </div>
        <div class="return-button">
          <a class="button-secondary" th:href="@{/admin/dashboard/list-request-penyelenggara}">Back</a>
        </div>
      </div>
      <div style="gap: 24px;" class="button-wrapper-section" th:if="${request.status == 'Confirmed'}">
        <div class="delete-penyelenggara-button">
          <button type="submit" class="button-primary mx-auto d-block">Delete Account</button>
        </div>
        <div class="return-button">
          <a class="button-secondary" th:href="@{/admin/dashboard/list-request-penyelenggara}">Back</a>
        </div>
      </div>
      <div class="button-wrapper-section" th:if="${request.status == 'Declined'}">
        <div class="return-button">
          <a class="button-secondary" th:href="@{/admin/dashboard/list-request-penyelenggara}">Back</a>
        </div>
      </div>
    </main>
  </div>
</section>

<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!"); //tambahkan console log
        console.log(sidebar.classList);
        menuBtnChange();//calling the function(optional)
    });

    // following are the code to change sidebar button(optional)
    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
</body>

</html>